← Back to team overview

yade-dev team mailing list archive

[Branch ~yade-dev/yade/trunk] Rev 1710: Make the test script report what distribution failed (currently only karmic).

 

------------------------------------------------------------
revno: 1710
committer: Václav Šmilauer <vaclav@flux>
branch nick: trunk
timestamp: Thu 2009-08-20 15:40:30 +0200
message:
  Make the test script report what distribution failed (currently only karmic).
modified:
  scripts/pbuilder-test-distributions.sh


--
lp:yade
https://code.launchpad.net/~yade-dev/yade/trunk

Your team Yade developers is subscribed to branch lp:yade.
To unsubscribe from this branch go to https://code.launchpad.net/~yade-dev/yade/trunk/+edit-subscription.
=== modified file 'scripts/pbuilder-test-distributions.sh'
--- scripts/pbuilder-test-distributions.sh	2009-08-20 12:00:28 +0000
+++ scripts/pbuilder-test-distributions.sh	2009-08-20 13:40:30 +0000
@@ -2,7 +2,7 @@
 # grab latest trunk, try building packages for various distributions
 # see http://yade.wikia.com/wiki/DebianPackages for configuration of the pbuilder environment
 #
-set -x -e
+set -x
 TMP=/tmp/pbuild-yade-$$
 mkdir $TMP
 cd $TMP
@@ -11,10 +11,10 @@
 dpkg-source -b -I trunk
 DSC=yade-`cat trunk/VERSION`_1.dsc
 for DIST in lenny squeeze hardy jaunty karmic; do
-	echo ======================================================================================================
-	echo ============================================= TESTING $DIST ==========================================
-	echo ======================================================================================================
+	echo ============================================= TESTING $DIST ===================================
+	echo ===============================================================================================
 	BASETGZ=/var/cache/pbuilder/$DIST.tgz
-	sudo pbuilder --build --basetgz $BASETGZ --debbuildopts "-j5 -Zlzma" $DSC
+	sudo pbuilder --build --basetgz $BASETGZ --debbuildopts "-j5 -Zlzma" $DSC  || FAILED="$FAILED $DIST"
 done
 rm -rf $TMP
+if [ '$FAILED' ]; then echo "Build failed for $FAILED"; exit 1; fi